// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

#include "StandInMeshSelectionActor.h"
#include "Runtime/Engine/Classes/Components/DrawSphereComponent.h"

AStandInMeshSelectionActor::AStandInMeshSelectionActor(const FObjectInitializer& ObjectInitializer)
	: Super(ObjectInitializer)
{
	SetCanBeDamaged(false);
	bListedInSceneOutliner = false;

#if WITH_EDITORONLY_DATA	
	DrawSphereComponent = CreateEditorOnlyDefaultSubobject<UDrawSphereComponent>(TEXT("VisualizeComponent0"));
	if (DrawSphereComponent)
	{
		DrawSphereComponent->SetSphereRadius(0.0f);
		RootComponent = DrawSphereComponent;
	}
#endif // WITH_EDITORONLY_DATA
}
